"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestEntity = void 0;
const core_1 = require("@mikro-orm/core");
let RequestEntity = class RequestEntity extends core_1.BaseEntity {
};
__decorate([
    (0, core_1.PrimaryKey)({ type: 'uuid', defaultRaw: 'uuid_generate_v4()' }),
    __metadata("design:type", String)
], RequestEntity.prototype, "id", void 0);
__decorate([
    (0, core_1.Property)({ type: 'text' }),
    __metadata("design:type", String)
], RequestEntity.prototype, "method", void 0);
__decorate([
    (0, core_1.Property)({ type: 'text' }),
    __metadata("design:type", String)
], RequestEntity.prototype, "path", void 0);
__decorate([
    (0, core_1.Property)({ type: 'jsonb' }),
    __metadata("design:type", Object)
], RequestEntity.prototype, "params", void 0);
__decorate([
    (0, core_1.Property)({ type: 'jsonb' }),
    __metadata("design:type", Object)
], RequestEntity.prototype, "query", void 0);
__decorate([
    (0, core_1.Property)({ type: 'jsonb' }),
    __metadata("design:type", Object)
], RequestEntity.prototype, "body", void 0);
__decorate([
    (0, core_1.Property)({ type: 'jsonb' }),
    __metadata("design:type", Object)
], RequestEntity.prototype, "headers", void 0);
__decorate([
    (0, core_1.Property)({ type: 'integer' }),
    __metadata("design:type", Number)
], RequestEntity.prototype, "status", void 0);
__decorate([
    (0, core_1.Property)({ type: 'boolean' }),
    __metadata("design:type", Boolean)
], RequestEntity.prototype, "error", void 0);
__decorate([
    (0, core_1.Property)({ type: 'text', nullable: true }),
    __metadata("design:type", String)
], RequestEntity.prototype, "ip", void 0);
__decorate([
    (0, core_1.Property)({ type: 'jsonb', nullable: true }),
    __metadata("design:type", Object)
], RequestEntity.prototype, "responseBody", void 0);
__decorate([
    (0, core_1.Property)({ type: 'timestamp' }),
    __metadata("design:type", Date)
], RequestEntity.prototype, "timestamp", void 0);
__decorate([
    (0, core_1.Property)({ type: 'int' }),
    __metadata("design:type", Number)
], RequestEntity.prototype, "executionTime", void 0);
__decorate([
    (0, core_1.Property)({ type: 'jsonb', nullable: true }),
    __metadata("design:type", Object)
], RequestEntity.prototype, "customData", void 0);
__decorate([
    (0, core_1.Property)({ type: 'uuid', nullable: true }),
    __metadata("design:type", String)
], RequestEntity.prototype, "userId", void 0);
RequestEntity = __decorate([
    (0, core_1.Entity)({ tableName: 'requests', schema: 'nlogger' })
], RequestEntity);
exports.RequestEntity = RequestEntity;
//# sourceMappingURL=request.entity.js.map